[**@rxap/data-source**](../README.md)

***

[@rxap/data-source](../globals.md) / DataSourceRefreshToMethodAdapterFactory

# Function: DataSourceRefreshToMethodAdapterFactory()

> **DataSourceRefreshToMethodAdapterFactory**(`dataSource`): `Method`\<`any`, `any`\>

Defined in: [packages/angular/data-source/src/lib/data-source-refresh-to-method-adapter-factory.ts:4](https://gitlab.com/rxap/packages/-/blob/969f0867a1da05a157f626d5bdd316bd0a67494a/packages/angular/data-source/src/lib/data-source-refresh-to-method-adapter-factory.ts#L4)

## Parameters

### dataSource

[`BaseDataSource`](../classes/BaseDataSource.md)\<`unknown`\>

## Returns

`Method`\<`any`, `any`\>
